# DragonBoat项目研究

## 项目简介

本目录包含了我们对DragonBoat项目的详细研究和分析。DragonBoat是一个高性能纯Go语言实现的多组Raft共识算法库。通过对DragonBoat的深入研究，我们可以更好地理解Raft协议的实现，并基于此进行进一步的优化工作。

### DragonBoat介绍

DragonBoat是一个高性能的纯Go语言实现的多组Raft共识算法库。Raft共识算法使得系统在多数成员在线的情况下依然可以持续运行。例如，在一个拥有5台服务器的Raft集群中，即使有两台服务器故障，系统仍能继续工作。Raft协议向客户端展现一个单机节点，始终提供强一致性的保证。同时，所有在线的成员节点都可以提供读操作，从而提高读吞吐量。DragonBoat承担了所有Raft相关的技术难点，使用户只需关注各自的应用领域。使用DragonBoat非常简便，详细的例程可以帮助新用户在半小时内完全掌握它。

### 链接资源

- DragonBoat项目主页：[https://github.com/lni/dragonboat](https://github.com/lni/dragonboat)

## 文件说明

```
dragonboat_study/
├── README.md
├── DragonBoat项目分析.md
├── 代码分析.md
├── 逻辑框架设计.md
├── raftpb相关内容.md
├── DragonBoat使用指南.md
└── 运行示例.md
```

## 安装与运行

### 安装Go

#### Ubuntu 22.04 ARM64
```sh
$ sudo apt install golang
$ go version
go version go1.18.1 linux/arm64
